LSBLK(8)

BEZEICHNUNG
lsblk - Blockgeräte auflisten

ÜBERSICHT
lsblk [Optionen] [Gerät …]

BESCHREIBUNG
lsblk listet Informationen zu allen oder den angegebenen blockorientierten Geräten auf. Der Befehl lsblk liest das sysfs-Dateisystem und udev db, um die Informationen zu beziehen. Falls die Udev-DB nicht verfügbar ist oder Lsblk ohne Udev-Unterstützung übersetzt wurde, dann versucht es, LABELSs, UUIDs und Dateisystemtypen aus dem Blockgerät zu lesen. In diesem Fall sind Rootrechte notwendig.

Der Befehl gibt per Vorgabe alle blockorientierten Geräte (außer RAM-Disks) in einer Baumansicht aus. Mit dem Befehl lsblk --help erhalten Sie eine Liste der verfügbaren Spalten.

Sowohl die standardmäßige Ausgabe als auch die Ausgabe mit Optionen wie --fs und --topology ist Änderungen unterworfen. Daher sollten Sie vermeiden, voreingestellte Ausgaben in Ihren Skripten zu verwenden. Definieren Sie in Umgebungen, wo eine konsistente Ausgabe erforderlich ist, stets ausdrücklich mit --output Spaltenliste und --list, welche Spalten Sie benötigen.

Beachten Sie, dass lsblk zu einem Zeitpunkt ausgeführt werden könnte, wenn udev noch nicht über alle Informationen zu kürzlich hinzugefügten oder geänderten Geräten verfügt. In diesem Fall ist es empfehlenswert, zunächst mit udevadm settle einen Abgleich mit udev auszuführen, bevor lsblk aufgerufen wird.

OPTIONEN

-a, --all
    listet auch leere Geräte und RAM-Platten-Geräte auf.

-b, --bytes
    gibt die SIZE-Spalte in Byte anstelle eines menschenlesbaren Formats aus.

-D, --discard
    gibt Informationen zu den Discard-Fähigkeiten (TRIM, UNMAP) für jedes Gerät aus.

-d, --nodeps
    unterdrückt die Ausgabe von über- oder untergeordneten Geräten. Beispielsweise gibt lsblk --nodeps /dev/sda nur Informationen zum Gerät sda aus.

-E, --dedup Spalte
    verwendet die angegebene Spalte als »Deduplizierungsschlüssel«, um Duplikate aus dem ausgegebenen Baum zu entfernen. Falls der Schlüssel für das Gerät nicht verfügbar ist oder das Gerät eine Partition ist und das übergeordnete Eltern-Laufwerksgerät den selben Schlüssel bereitstellt, wird das Gerät immer angezeigt. Der übliche Anwendungsfall ist die Deduplizierung der Ausgabe auf Multi-Pfad-Geräten des Systems, zum Beispiel durch -E WWN.

-e, --exclude Liste
    schließt anhand einer durch Kommata getrennten Liste aus Major-Gerätenummern Geräte aus. Beachten Sie, dass RAM-Disks (major=1) per Vorgabe nicht angezeigt werden, falls --all nicht festgelegt ist. Der Filter wird nur auf Geräte der obersten Ebene angewendet. Dies kann für die Ausgabe --list verwirrend sein, da dort die Hierarchie der Geräte nicht offensichtlich ist.

-f, --fs
    gibt Informationen zu Dateisystemen aus. Diese Option ist gleichbedeutend mit -o NAME,FSTYPE,LABEL,MOUNTPOINT. Die maßgebenden Informationen über Dateisysteme und RAIDs werden vom Befehl blkid(8) geliefert.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-I, --include Liste
    schließt anhand einer durch Kommata getrennten Liste aus Major-Gerätenummern Geräte aus. Der Filter wird nur auf Geräte der obersten Ebene angewendet. Dies kann für die Ausgabe mit --list verwirrend sein, da dort die Hierarchie der Geräte nicht offensichtlich ist.

-i, --ascii
    verwendet ASCII-Zeichen für die Formatierung der Baumansicht.

-J, --json
    verwendet das JSON-Ausgabeformat. Es wird ausdrücklich empfohlen, --output zu verwenden, und falls nötig, auch --tree.

-l, --list
    erstellt die Ausgabe in Form einer Liste. Die Ausgabe stellt keine Informationen über Beziehungen zwischen Geräten bereit. Seit Version 2.34 wird jedes Gerät nur einmal ausgegeben.

-M, --merge
    gruppiert die Elterneinträge von Unterbäumen, um die Ausgabe für RAIDs und Multi-Pfad-Geräte besser lesbar zu machen. Die Ausgabe in Baumform ist erforderlich.

-m, --perms
    gibt Informationen zum Besitzer des Gerätes, der Gruppe und des Modus aus. Diese Option ist gleichbedeutend mit -o NAME,SIZE,OWNER,GROUP,MODE.

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-o, --output Liste
    legt die anzuzeigenden Spalten fest. Mit --help erhalten Sie eine Liste aller unterstützten Spalten. Die Spalten könnten sich auf die Ausgabe in Baumform auswirken. Standardmäßig wird die Baumansicht für die Spalte »NAME« verwendet (siehe auch --tree). Die vorgegebene Liste der Spalten kann erweitert werden, wenn die Liste im Format +Liste angegeben wird (z.B. lsblk -o +UUID).

-O, --output-all
    gibt alle verfügbaren Spalten aus.

-P, --pairs
    formatiert die Ausgabe als »Schlüssel="Wert"«-Paare. Alle potenziell unsicheren Zeichen werden hexadezimal maskiert (\x<Code>).

-p, --paths
    gibt vollständige Gerätepfade aus.

-r, --raw
    gibt das Rohformat aus. Alle potenziell unsicheren Zeichen werden in den Spalten NAME, KNAME, LABEL, PARTLABEL und MOUNTPOINT (\x<code>) hexadezimal maskiert.

-S, --scsi
    gibt nur Informationen zu SCSI-Geräten aus. Alle Partitionen, unter- und übergeordnete Geräte werden ignoriert.

-s, --inverse
    gibt Abhängigkeiten in umgekehrter Reihenfolge aus. Falls die Ausgabe --list angefragt wird, dann werden die Zeilen weiterhin nach Abhängigkeiten sortiert.

-T, --tree[=Spalte]
    erzwingt die Ausgabe in Baumform. Falls eine Spalte angegeben ist, wird ein von dieser Spalte ausgehende Baum angezeigt. Standardmäßig wird die NAME-Spalte verwendet.

-t, --topology
    gibt Informationen zur Verbindungsstruktur der blockorientierten Geräte aus. Diese Option ist gleichbedeutend mit -o NAME,ALIGNMENT,MIN-IO,OPT-IO,PHY-SEC,LOG-SEC,ROTA,SCHED,RQ-SIZE,RA,WSAME.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-x, --sort Spalte
    sortiert die Ausgabezeilen gemäß Spalte. Diese Option aktiviert standardmäßig das Ausgabeformat --list. Es ist möglich, die Option --tree zu verwenden, um baumartige Ausgabe zu erzwingen, dann sind die Zweige des Baumes gemäß Spalte sortiert.

-z, --zoned
    gibt das Zonenmodel für jedes Gerät aus.

--sysroot Verzeichnis
    Sammelt Daten für eine Linux-Instanz, die nicht die Linux-Instanz ist, von der der Befehl lsblk aufgerufen wird. Das angegebene Verzeichnis ist die Systemwurzel der zu untersuchenden Linux-Instanz. Diese Option wurde für Testzwecke entwickelt.

ANMERKUNGEN
Für die Partitionen werden einige Informationen (zum Beispiel Warteschlangen-Attribute) von dem Elterngerät übernommen.

Der Befehl lsblk muss in der Lage sein, nach jedem blockorientierten Gerät anhand der Major:Minor-Nummern zu suchen, wofür /sys/dev/block verwendet wird. Dieses sysfs-Block-Verzeichnis erschien in Kernel 2.6.27 (Oktober 2008). Sollten mit einem ausreichend neuen Kernel Probleme auftreten, prüfen Sie, ob CONFIG_SYSFS bei der Erstellung des Kernels aktiviert war.

RÜCKGABEWERTE

0   Erfolg

1   Fehlschlag

32  keines der angegebenen Geräte wurden gefunden

64  einige der angegebenen Geräte wurden gefunden, andere nicht

AUTOREN
Milan Broz <mbroz@redhat.com>
Karel Zak <kzak@redhat.com>

UMGEBUNGSVARIABLEN

LSBLK_DEBUG=all
    aktiviert die Debug-Ausgabe für lsblk.

LIBBLKID_DEBUG=all
    aktiviert die Debug-Ausgabe für libblkid.

LIBMOUNT_DEBUG=all
    aktiviert die Fehlersuchausgabe für libmount.

LIBSMARTCOLS_DEBUG=all
    aktiviert die Debug-Ausgabe für libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    verwendet sichtbare Auffüllzeichen. Dafür muss LIBSMARTCOLS_DEBUG aktiviert sein.

SIEHE AUCH
ls(1), blkid(8), findmnt(8)

VERFÜGBARKEIT
Der Befehl lsblk ist Teil des Pakets util-linux und kann von https://www.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Dr. Tobias Quathamer <toddy@debian.org>, Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.